%global bits %{__isa_bits}
%global debug_package %{nil}

# jansi-native-1.8 tag is missing from git
# https://github.com/fusesource/jansi-native/commit/5015ad0
%global commit 5015ad023a55785dbe6ad19cc786c0533387feff

Name:           jansi-native
Version:        1.8
Release:        %mkrel 5
Summary:        Jansi Native implements the JNI Libraries used by the Jansi project
Group:          Development/Java
License:        ASL 2.0
URL:            http://jansi.fusesource.org/
Source0:        https://github.com/fusesource/jansi-native/archive/%{commit}/jansi-native-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.fusesource:fusesource-pom:pom:)
BuildRequires:  mvn(org.fusesource.hawtjni:maven-hawtjni-plugin) >= 1.9-2
BuildRequires:  mvn(org.fusesource.hawtjni:hawtjni-runtime) >= 1.9-2
# jansi-native provides JNI libraries for use by the JAVA Jansi project,
# so it is only necessary on java_arches
#ExclusiveArch:  %%{java_arches}

%description
Jansi is a small java library that allows you to use ANSI escape sequences
in your Java console applications. It implements ANSI support on platforms
which don't support it like Windows and provides graceful degradation for
when output is being sent to output devices which cannot support ANSI sequences.

%package javadoc
Summary:          Javadocs for %{name}
BuildArch:        noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jansi-native-%{commit}

%mvn_alias :jansi-linux%{bits} :jansi-linux
%mvn_file :jansi-linux%{bits} %{name}/jansi-linux%{bits} %{name}/jansi-linux

# use more modern source and target settings
%pom_xpath_set //pom:source 1.8
%pom_xpath_set //pom:target 1.8

# fix javadoc generation for java 11
%pom_remove_plugin :maven-javadoc-plugin
%pom_xpath_inject pom:pluginManagement/pom:plugins "<plugin>
<artifactId>maven-javadoc-plugin</artifactId>
<configuration>
<source>1.8</source>
<detectJavaApiLink>false</detectJavaApiLink>
</configuration>
</plugin>"

%build
%mvn_build
%mvn_build -- -Dplatform=linux%{bits}

%install
%mvn_install

%files -f .mfiles
%doc readme.md changelog.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt




%changelog
* Fri May 24 2024 ns80 <ns80> 1.8-5.mga10
+ Revision: 2067030
- rebuild for java 21

* Fri Dec 09 2022 umeabot <umeabot> 1.8-4.mga9
+ Revision: 1919728
- Mageia 9 Mass Rebuild

* Fri Sep 11 2020 daviddavid <daviddavid> 1.8-3.mga8
+ Revision: 1624334
- Allow building against Java 11
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 1.8-2.mga8
+ Revision: 1536240
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.8-1.mga8
+ Revision: 1453730
- Update to version 1.8

* Sat Dec 01 2018 guillomovitch <guillomovitch> 1.7-3.mga7
+ Revision: 1337176
- add missing native library

* Sun Sep 23 2018 umeabot <umeabot> 1.7-2.mga7
+ Revision: 1298348
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 daviddavid <daviddavid> 1.7-1.mga7
+ Revision: 1200464
- Update to upstream version 1.7 (sync with fc28)

* Wed Mar 02 2016 neoclust <neoclust> 1.5-11.mga6
+ Revision: 981984
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.5-10.mga6
+ Revision: 976541
- First rebuild of the java stack
- sync package jansi-native with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 1.5-5.mga5
+ Revision: 810249
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.5-4.mga5
+ Revision: 748945
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- New version

* Tue Feb 19 2013 dmorgan <dmorgan> 1.4-1.mga3
+ Revision: 399415
- New version
- Clean spec file
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gil <gil>
- update to 1.2
- imported package jansi-native


* Tue May 31 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-2
- Updated summary
- Removed debuginfo package
- Added license to javadoc package
- Fixed dependency on maven-hawtjni-plugin

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-1
- Initial packaging


